- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pids – Retrieves process IDs list if the process is running otherwise return empty list

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Retrieves a list of PIDs of given process name in Ansible controller/controlled machines.Returns an empty list if no process in that name exists.

## Requirements

The below requirements are needed on the host that executes this module.

- psutil(python module)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name string / required |  | the name of the process you want to get PID for.

## Examples

    # Pass the process name
    - name: Getting process IDs of the process
      pids:
          name: python
      register: pids_of_python

    - name: Printing the process IDs obtained
      debug:
        msg: "PIDS of python:{{pids_of_python.pids|join(',')}}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
pids list | list of none, one, or more process IDs | Process IDs of the given process Sample: [100, 200]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Saranya Sridharan (@saranyasridharan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.